-- Deploy database-schema:magpie_gcp_static_type_tables to pg

BEGIN;

-- GCP TYPES;
create table IF NOT EXISTS gcpbigqueryreservation () INHERITS (gcp);
create table IF NOT EXISTS gcpbigqueryreservationcapacity () INHERITS (gcp);
create table IF NOT EXISTS gcpbigtableinstance () INHERITS (gcp);
create table IF NOT EXISTS gcpaccess () INHERITS (gcp);
create table IF NOT EXISTS gcpasset () INHERITS (gcp);
create table IF NOT EXISTS gcpassetfeed () INHERITS (gcp);
create table IF NOT EXISTS gcpautomldataset () INHERITS (gcp);
create table IF NOT EXISTS gcpautomlmodel () INHERITS (gcp);
create table IF NOT EXISTS gcpbigquerydataset () INHERITS (gcp);
create table IF NOT EXISTS gcpbigquerydatatransfer () INHERITS (gcp);
create table IF NOT EXISTS gcpbillingaccount () INHERITS (gcp);
create table IF NOT EXISTS gcpcloudbuild () INHERITS (gcp);
create table IF NOT EXISTS gcpcloudbuildtrigger () INHERITS (gcp);
create table IF NOT EXISTS gcpcluster () INHERITS (gcp);
create table IF NOT EXISTS gcpcomputedisk () INHERITS (gcp);
create table IF NOT EXISTS gcpcomputeinstance () INHERITS (gcp);
create table IF NOT EXISTS gcpcontaineranalysisnote () INHERITS (gcp);
create table IF NOT EXISTS gcpcontaineranalysisoccurrence () INHERITS (gcp);
create table IF NOT EXISTS gcpdatacatalog () INHERITS (gcp);
create table IF NOT EXISTS gcpdatalabelig () INHERITS (gcp);
create table IF NOT EXISTS gcpdatalabelingannotations () INHERITS (gcp);
create table IF NOT EXISTS gcpdatalabelinginstruction () INHERITS (gcp);
create table IF NOT EXISTS gcpdialogflowconversation () INHERITS (gcp);
create table IF NOT EXISTS gcpdlpjob () INHERITS (gcp);
create table IF NOT EXISTS gcpdlpjobtrigger () INHERITS (gcp);
create table IF NOT EXISTS gcpdnszone () INHERITS (gcp);
create table IF NOT EXISTS gcperrorreporting () INHERITS (gcp);
create table IF NOT EXISTS gcpgameservice () INHERITS (gcp);
create table IF NOT EXISTS gcpiamrole () INHERITS (gcp);
create table IF NOT EXISTS gcpiamserviceaccount () INHERITS (gcp);
create table IF NOT EXISTS gcpiotdeviceregistry () INHERITS (gcp);
create table IF NOT EXISTS gcpkmskeyring () INHERITS (gcp);
create table IF NOT EXISTS gcploggingbucket () INHERITS (gcp);
create table IF NOT EXISTS gcploggingexclusion () INHERITS (gcp);
create table IF NOT EXISTS gcploggingmetric () INHERITS (gcp);
create table IF NOT EXISTS gcploggingsink () INHERITS (gcp);
create table IF NOT EXISTS gcpmemcacheinstance () INHERITS (gcp);
create table IF NOT EXISTS gcpmonitoringalertpolicy () INHERITS (gcp);
create table IF NOT EXISTS gcpmonitoringdashboard () INHERITS (gcp);
create table IF NOT EXISTS gcpmonitoringgroup () INHERITS (gcp);
create table IF NOT EXISTS gcpmonitoringservice () INHERITS (gcp);
create table IF NOT EXISTS gcposconfigpatchdeployment () INHERITS (gcp);
create table IF NOT EXISTS gcposconfigpatchjob () INHERITS (gcp);
create table IF NOT EXISTS gcpprojectinfo () INHERITS (gcp);
create table IF NOT EXISTS gcppubsublitesubscription () INHERITS (gcp);
create table IF NOT EXISTS gcppubsublitetopic () INHERITS (gcp);
create table IF NOT EXISTS gcppubsubschema () INHERITS (gcp);
create table IF NOT EXISTS gcppubsubsnapshots () INHERITS (gcp);
create table IF NOT EXISTS gcppubsubsubscription () INHERITS (gcp);
create table IF NOT EXISTS gcppubsubtopic () INHERITS (gcp);
create table IF NOT EXISTS gcprecaptchaenterprisekey () INHERITS (gcp);
create table IF NOT EXISTS gcpredisinstance () INHERITS (gcp);
create table IF NOT EXISTS gcpresourcemanagerfolder () INHERITS (gcp);
create table IF NOT EXISTS gcpresourcemanagerorganization () INHERITS (gcp);
create table IF NOT EXISTS gcpresourcemanagerproject () INHERITS (gcp);
create table IF NOT EXISTS gcpschedulerjob () INHERITS (gcp);
create table IF NOT EXISTS gcpsecretmanagersecret () INHERITS (gcp);
create table IF NOT EXISTS gcpsecurityscanconfig () INHERITS (gcp);
create table IF NOT EXISTS gcpservicediscoveryservice () INHERITS (gcp);
create table IF NOT EXISTS gcpspannerinstance () INHERITS (gcp);
create table IF NOT EXISTS gcpsqlinstance () INHERITS (gcp);
create table IF NOT EXISTS gcpstoragebucket () INHERITS (gcp);
create table IF NOT EXISTS gcptalenttenant () INHERITS (gcp);
create table IF NOT EXISTS gcptaskqueue () INHERITS (gcp);
create table IF NOT EXISTS gcptrace () INHERITS (gcp);
create table IF NOT EXISTS gcptranslateglossary () INHERITS (gcp);
create table IF NOT EXISTS gcpvisionproduct () INHERITS (gcp);
create table IF NOT EXISTS gcpvisionproductset () INHERITS (gcp);
create table IF NOT EXISTS gcpvpcfirewall () INHERITS (gcp);
create table IF NOT EXISTS gcpvpcnetwork () INHERITS (gcp);
create table IF NOT EXISTS gpcdataproccluster () INHERITS (gcp);
create table IF NOT EXISTS gpcdataprocjob () INHERITS (gcp);
create table IF NOT EXISTS gpcfunction () INHERITS (gcp);

COMMIT;
